<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:exsl="http://exslt.org"
                xmlns:date="http://exslt.org/dates-and-times"
                extension-element-prefixes="date exsl"
                version="1.0">
                
    <!-- FileName   :  jira_xalanj_2584.xsl -->
    <!-- Author     :  Mukul Gandhi -->
    <!-- Purpose    :  Please see the jira issue XALANJ-2584, for more details 
                       about this test. -->                
    
    <xsl:template match="/">
      <xsl:element name="root">
        <xsl:value-of select="date:date(root/@anAttribute)"/>
      </xsl:element>
    </xsl:template>
    
    <!--
       * Licensed to the Apache Software Foundation (ASF) under one
       * or more contributor license agreements. See the NOTICE file
       * distributed with this work for additional information
       * regarding copyright ownership. The ASF licenses this file
       * to you under the Apache License, Version 2.0 (the  "License");
       * you may not use this file except in compliance with the License.
       * You may obtain a copy of the License at
       *
       *     http://www.apache.org/licenses/LICENSE-2.0
       *
       * Unless required by applicable law or agreed to in writing, software
       * distributed under the License is distributed on an "AS IS" BASIS,
       * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
       * See the License for the specific language governing permissions and
       * limitations under the License.
    -->
    
</xsl:stylesheet>



